/* news-selected section */
.news-selected {
  position: relative;
}

.news-selected .cover-image {
  position: relative;
  width: 100%;
  height: 400px; /* Atur sesuai kebutuhan */
  overflow: hidden;
}

.news-selected .cover-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
  filter: brightness(50%); /* 0% = hitam total, 100% = normal */
}

.news-selected .content {
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  padding: 50px;
  text-align: center;
  transform: translateY(-50%);
  z-index: 10;
  border-radius: 10px;
}

/* news */
.pagination {
  margin-top: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  flex-wrap: wrap;
}

.pagination a,
.pagination span {
  padding: 8px 14px;
  text-decoration: none;
  border-radius: 8px;
  font-weight: 500;
  color: #3d6db4;
  border: 1px solid #d0d7e4;
  transition: 0.3s;
}

.pagination a:hover {
  background-color: #e0ecff;
}

.pagination a.active {
  border: none;
}

.pagination .disabled {
  color: #aaa;
  background-color: #f5f5f5;
  cursor: not-allowed;
  border: 1px solid #ddd;
}

.news-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(1, 1fr);
  gap: 20px;
}

@media screen and (max-width: 1120px) {
  .news-section {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .news-section .news-content {
    width: 320px;
    max-width: 320px;
  }
  .news-section .news-content .catalog {
    display: grid;
    grid-template-columns: repeat(2, 1fr) !important;
  }

  .news-selected .cover-image {
    width: 100vw;
  }

  .main-img {
    width: 100%;
    height: 300px !important;
    object-fit: cover;
  }
}

@media screen and (max-width: 790px) {
  .news-section .news-content .catalog {
    display: grid;
    grid-template-columns: repeat(1, 1fr) !important;
  }
}

.news-section .content {
  width: 750px;
}

.main-img {
  width: 100%;
  height: auto;
  max-height: 500px;
  object-fit: cover;
  border-radius: 10px;
}

.news-section .news-content .selected-news {
  text-align: start;
}

.news-section .news-content {
  width: 750px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.news-section .news-content .catalog {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
}

#search-input {
  width: 100%;
  padding: 12px 15px;
  background-color: #f8fbff;
  border: none;
  border-radius: 8px;
  color: #3d6db4;
  font-size: 14px;
  outline: none;
}

#search-input::placeholder {
  color: #3d6db4;
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
  font-weight: 500;
  margin: 0;
}

.news-section .news-card {
  width: 243px;
  height: 300px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.news-section .news-card img {
  width: 100%;
  height: 180px;
  object-fit: cover;
  border-radius: 10px;
}

.other-news {
  display: flex;
  justify-content: flex-start;
  align-items: start;
  gap: 5px;
}

.other-news img {
  width: 70px;
  height: 70px;
  object-fit: cover;
  border-radius: 10px;
}

input[type="text"] {
  font-family: inherit;
  font-size: inherit;
}

.section {
  display: flex; /* Use flexbox for layout */
  flex-direction: column; /* Arrange children vertically */
  justify-content: center; /* Center vertically */
  align-items: start; /* Align horizontally to the start */
}

.ph-hd {
  display: none;
}

@media screen and (max-width: 1120px) {
  .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    margin-top: 50px;
  }
  .section,
  .content-snc {
    width: 350px !important;
    margin: 0;
  }
  .content-snc .kategori-sidebar {
    display: none;
  }
  .ph-hd {
    display: flex;
    flex-direction: column;
  }
  .news-section .content {
    width: 100%;
    padding: 20px;
    margin: 0 20px;
  }
  .news-section .news-card {
    width: 320px;
  }
  .related .related-item {
    width: 100% !important;
  }
}

input,
select,
textarea {
  padding: 8px;
  font-size: 16px;
  background-color: #f8fbff;
  border: none;
  border-radius: 8px;
  color: #3d6db4;
  font-size: 14px;
  outline: none;
}

.related .related-item {
  width: 100%;
}

.header {
  width: 100%;
}

.related .related-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}
.related-item img {
  width: 100%;
  height: 234px !important;
  border-radius: 8px;
  object-fit: cover;
}
@media (max-width: 768px) {
  .related .related-list {
    grid-template-columns: 1fr;
  }
}
